httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: [users@httpd] Windows compile of Apache 2.0.58 with SSL fails
Date Wed, 03 May 2006 02:46:56 GMT
Awww drat ... the warning on mod_ssl.dep was expected, it was deleted
to avoid the discrepancies between different openssl include trees.

Unfortunately I didn't see this.  It's a packaging problem, ergo I'll
repackage.

Simply del support\abs.dep

Sorry,

Bill

hunter wrote:
> I tried compiling Apache 2.0.58 tonight with SSL and ZLIB.
> 
> It fails with the following error:
> 
>        NMAKE -nologo -f mod_ssl.mak         CFG="mod_ssl - Win32
> Release" RECURSE=0  .\Release\mod_ssl.so
> Warning: cannot find "mod_ssl.dep"
>        cl.exe @D:\TEMP\nma02972.
> mod_ssl.c
> ssl_engine_config.c
> ssl_engine_dh.c
> ssl_engine_init.c
> ssl_engine_io.c
> ssl_engine_kernel.c
> ssl_engine_log.c
> ssl_engine_mutex.c
> ssl_engine_pphrase.c
> ssl_engine_rand.c
> ssl_engine_vars.c
> ssl_expr.c
> ssl_expr_eval.c
> ssl_expr_parse.c
> ssl_expr_scan.c
> ssl_scache.c
> ssl_scache_dbm.c
> ssl_scache_shmcb.c
> ssl_scache_shmht.c
> ssl_util.c
> Generating Code...
> Compiling...
> ssl_util_ssl.c
> ssl_util_table.c
> Generating Code...
>        link.exe @D:\TEMP\nmb02972.
>   Creating library .\Release\mod_ssl.lib and object .\Release\mod_ssl.exp
>        cd ..\..
>        cd support
>        NMAKE -nologo -f abs.mak             CFG="abs - Win32 Release" 
> RECURSE=0
> NMAKE : fatal error U1073: don't know how to make
> '"..\srclib\openssl\inc32\openssl\fips.h"'
> Stop.
> NMAKE : fatal error U1077: 'C:\MSVC6\VC98\bin\NMAKE.EXE' : return code 
> '0x2'
> Stop.
> NMAKE : fatal error U1077: 'C:\MSVC6\VC98\bin\NMAKE.EXE' : return code 
> '0x2'
> Stop.
> 
> fips.h is not in the OpenSSL 0.9.8a source but there has not been a
> new release of OpenSSL.
> 
> Any suggestions would be welcomed.
> 
> 
> 
> Also, I tried to compile Apache 2.2.2 and it fails with the error that
> I have to supply an LDAP 3.0 SDK.
> 
> Could anyone tell me where I can get this required SDK?
> 
> Chris.
> 
> ---------------------------------------------------------------------
> The official User-To-User support forum of the Apache HTTP Server Project.
> See <URL:http://httpd.apache.org/userslist.html> for more info.
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
>   "   from the digest: users-digest-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
> 
> 
> 

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message